# Record Class CJ1AuditEvent

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1AuditEvent

All Implemented Interfaces:
  `CJ1ValueType`

@JsonClassDescription("An audit event.") public record CJ1AuditEvent(CJ1UnsignedLong id, OffsetDateTime time, UUID owner, String type, Map<String,String> data) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1AuditEvent(CJ1UnsignedLong id, OffsetDateTime time, UUID owner, String type, Map<String,String> data)`
  Creates an instance of a `CJ1AuditEvent` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `data()`
  Returns the value of the `data` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CJ1UnsignedLong`
  `id()`
  Returns the value of the `id` record component.
  `UUID`
  `owner()`
  Returns the value of the `owner` record component.
  `OffsetDateTime`
  `time()`
  Returns the value of the `time` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1AuditEvent

    public CJ1AuditEvent(@JsonPropertyDescription("The event ID.") CJ1UnsignedLong id, @JsonPropertyDescription("The event time.") OffsetDateTime time, @JsonPropertyDescription("The event owner.") UUID owner, @JsonPropertyDescription("The event type.") String type, @JsonPropertyDescription("The event data.") Map<String,String> data)
    Creates an instance of a `CJ1AuditEvent` record class.
    Parameters:
      `id` - the value for the `id` record component
      `time` - the value for the `time` record component
      `owner` - the value for the `owner` record component
      `type` - the value for the `type` record component
      `data` - the value for the `data` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    @JsonPropertyDescription("The event ID.") public CJ1UnsignedLong id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### time

    @JsonPropertyDescription("The event time.") public OffsetDateTime time()
    Returns the value of the `time` record component.
    Returns:
      the value of the `time` record component

  - ### owner

    @JsonPropertyDescription("The event owner.") public UUID owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### type

    @JsonPropertyDescription("The event type.") public String type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### data

    @JsonPropertyDescription("The event data.") public Map<String,String> data()
    Returns the value of the `data` record component.
    Returns:
      the value of the `data` record component